# vim: set sw=4 ts=4 et:
# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de


Name:           pinkytagger
Summary:        Tag editor for MP3 and OGG files with MusicBrainz support
Version:        2.2.3
Release:        3.5
License:        GPL
Group:          Productivity/Multimedia/Sound/Utilities
URL:            http://pinkytagger.sourceforge.net/
# http://prdownloads.sourceforge.net/pinkytagger/pinkytagger-%{version}.tar.gz
Source:         pinkytagger-%{version}.tar.bz2
Patch1:         pinkytagger-gcc44.patch
Patch2:         pinkytagger-gcc45.patch
Patch3:         pinkytagger-fix_qstring_number_usage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake
BuildRequires:  gamin-devel
BuildRequires:  gcc-c++
BuildRequires:  libffmpeg-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libkde4-devel
BuildRequires:  libmusicbrainz3-devel libmusicbrainz3
BuildRequires:  libofa-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
#BuildRequires:	phonon-devel
BuildRequires:  qt-devel >= 4.3
BuildRequires:  libtag1
BuildRequires:  libtag-devel
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
# old name
Provides:       PinkyTagger = %{version}
Obsoletes:      PinkyTagger < %{version}

%description
Pinkytagger is the mass tagger for Linux written in C++ using the
Qt4 toolkit. Pinkytagger supports the MusicBrainz (PUID / OFA)
service to find the correct tag information for your files 
automatically.
With Pinkytagger, you can manage your files, download cover,
tag via an integrated expression scanner, tag via the 
MusicBrainz information or even listen to your files.

Pinkytagger supports MP3, FLAC, Ogg Vorbis, MusePack, WavPack
and Monkey's Audio (Ape) files.


%prep
%setup -q -n "pinkytagger-%{version}"
%patch1 -p1
%patch2
%patch3

%build
%__mkdir build
pushd build
libsuffix=$(echo %_lib | cut -b4-)
export QTDIR=
cmake \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_LIBDIR="%{_libdir}" \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_SKIP_RPATH=ON \
    -DLIB_SUFFIX="$libsuffix" \
    -DCMAKE_BUILD_TYPE=release \
    -DUSE_LIBFFMPEG=1 \
    ..

# dirty hack ...
%__cp ../locale/pinky* locale
%__sed -i -e 's|../locale/qm-files|locale/qm-files|g' \
    locale/CMakeFiles/locale.dir/build.make
    
%__make %{?jobs:-j%{jobs}} VERBOSE=1
popd

%install
pushd build
%makeinstall
popd

# icon
%__install -dm 755 %{buildroot}/usr/share/pixmaps
%__install -m 644 src/hi32-app-pinkytagger.png \
    %{buildroot}/usr/share/pixmaps/pinkytagger.png

%suse_update_desktop_file -i pinkytagger AudioVideo AudioVideoEditing
%kde_post_install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/pinkytagger
%dir %{_datadir}/pinkytagger
%{_datadir}/pinkytagger/pinkytagger.*.qm
%{_datadir}/applications/pinkytagger.desktop
%dir %{_datadir}/applnk
%dir %{_datadir}/applnk/Multimedia
%{_datadir}/applnk/Multimedia/pinkytagger.desktop
%{_datadir}/pixmaps/pinkytagger.png

%changelog
* Mon Apr  6 2009 toni@links2linux.de
- update to 2.2.3
* Fri Feb 27 2009 toni@links2linux.de
- update to 2.2.2
- changed description and authors email
- removed libmad from BuildRequires
* Sat Feb 21 2009 toni@links2linux.de
- update to 2.2.1
* Sun Feb  8 2009 toni@links2linux.de
- update to 2.2.0
- renamed package to kde4-pinkytagger
- added Phonon support
* Sat Sep 20 2008 toni@links2linux.de
- rebuild with new ffmpeg, libmad package
* Fri Dec 21 2007 toni@links2linux.de
- rebuild with new ffmpeg package
* Sun Oct 21 2007 toni@links2linux.de
- update to 2.1.0
* Fri Oct  5 2007 toni@links2linux.de
- rebuild with libmusicbrainz3-3.0.1
* Fri Sep  7 2007 toni@links2linux.de
- rebuild to force PM-packagename to PinkyTagger2
* Thu Aug 23 2007 toni@links2linux.de
- update to 2.0.0
- dropped curl and fam dependencies
* Tue Jul 24 2007 toni@links2linux.de
- update to 1.90.144
* Sun Mar 11 2007 toni@links2linux.de
- update to 1.90.139
* Tue Feb 27 2007 toni@links2linux.de
- initial release of rpm 1.90.128
- repacked as tar.bz2
